<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_a5e22fe41a6e4288b56df7" . "8f2f278f8f" => base64_decode("cHJldl9wYXJlbnR" . "faWQ="), "_6e38cb9e043a07cd69a1711a" . "6704c62a" => base64_decode("cGFyZ" . "W50X2" . "lk"), "_b2f5a100451164396178c16d2a5" . "c6899" => base64_decode("cHJl" . "dl90" . "aXRs" . "ZQ=="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0" . "bGU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b2f5a100451164396178c16d2a5c68" . "99"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["ti" . "tl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a5e22fe41a6e428" . "8b56df78f2f278f8" . "f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}